#ifndef CHARA_H
#define CHARA_H

class sdl;
struct floor;
struct sprite;

#include <string>
#include <vector>

enum direction {
    WEST = 0,
    EAST,
    NORTH,
    SOUTH
};

struct chara {
    unsigned int x;
    unsigned int y;
    unsigned int step;
    enum direction dir;
    struct tileset * anim;

    chara(class sdl * sdl, std::string filename, unsigned int tilesize, int x, int y);
    ~chara();
    void draw(class sdl * sdl);
    void draw(class sdl * sdl, int x_shift, int y_shift);
    bool move(class sdl * sdl, struct floor * floor);
};

#endif // CHARA_H
