#ifndef OBJECT_H
#define OBJECT_H

class sdl;
struct tileset;
struct floor;

#include <vector>

struct object {
    unsigned int x;
    unsigned int y;
    unsigned int tileset_id;
    std::vector<unsigned int> tiles;
    unsigned int anim_step;

    object(unsigned int x, unsigned int y);
    object(std::vector<unsigned int tiles> unsigned int x, unsigned int y);
    void enqueue_anim(unsigned int tile_id);
    void draw(class sdl * sdl, struct tileset * tileset);
    void draw(class sdl * sdl, struct tileset * tileset, int x_shift, int y_shift);
};

#endif // OBJECT_H
