#ifndef PORTAL_H
#define PORTAL_H

class sdl;
struct tileset;
struct chara;

#include <string>

struct portal {
    static struct tileset * anim;
    static const unsigned int anim_period = 100;
    int x;
    int y;
    unsigned int end_a;
    unsigned int end_b;
    unsigned int step;

    portal(class sdl * sdl, int x, int y, unsigned int end_a, unsigned int end_b);
    ~portal();
    void draw(class sdl * sdl, unsigned int world_id);
    void draw(class sdl * sdl, int x_shift, int y_shift, unsigned int world_id);
    void step_on(int player_x, int player_y, unsigned int * world_id);
};

#endif // PORTAL_H
