#ifndef SPRITE_H
#define SPRITE_H

class sdl;

#include <SDL2/SDL.h>
#include <string>

struct sprite {
    SDL_Texture * texture;
    unsigned int w;
    unsigned int h;

    sprite(class sdl * sdl, const std::string filename);
    sprite(class sdl * sdl, SDL_Surface * surface);
    ~sprite();
    void draw(class sdl * sdl, int x, int y);
    void draw_center(class sdl * sdl, float x, float y);
};

#endif // SPRITE_H
